Lucene++ - a full-featured, c++ search engine
API Documentation

Public Member Functions | Protected Member Functions | Protected Attributes
Lucene::SyncLock Class Reference

Utility class to support scope locking. More...

`#include <Synchronize.h>`

## Public Member Functions

| SyncLock (const SynchronizePtr &sync, int32_t timeout=0)
template<class OBJECT >
| SyncLock (OBJECT object, int32_t timeout=0)
virtual | ~SyncLock ()

## Protected Member Functions

void | lock (int32_t timeout)

## Protected Attributes

SynchronizePtr | sync

## Detailed Description

Utility class to support scope locking.

## Constructor & Destructor Documentation

## ◆ SyncLock() [1/2]

Lucene::SyncLock::SyncLock | ( | const SynchronizePtr & | sync,
|  | int32_t | timeout = `0`
| ) |  |

## ◆ SyncLock() [2/2]

template<class OBJECT >

Lucene::SyncLock::SyncLock | ( | OBJECT | object,
|  | int32_t | timeout = `0`
| ) |  |

inline

## ◆ ~SyncLock()

virtual Lucene::SyncLock::~SyncLock | ( |  | ) |

virtual

## Member Function Documentation

## ◆ lock()

void Lucene::SyncLock::lock | ( | int32_t | timeout | ) |

protected

## Field Documentation

## ◆ sync

SynchronizePtr Lucene::SyncLock::sync

protected

The documentation for this class was generated from the following file:

- Synchronize.h

clucene.sourceforge.net